import Vue from 'vue';
import Router from 'vue-router';
import modules from '@/components/modules';
import home from '@/views/home';
import homeKanban from '@/views/homeKanban';
import homeSite from '@/views/homeSite';
import homeAnalyze from '@/views/homeAnalyze';
import home2 from '@/views/home2';
import consultation_news from '@/views/consultation_news';
import login from '@/views/login';
import newly from '@/views/register_xh/newly_xh';
import orz_jg from '@/views/organ_jg/orz_jg';
import users from '@/views/users_yh/users';
import couple from '@/views/couple_fk/couple';
import redact_xh from '@/views/register_xh/redact_xh';
import newly_jg from '@/views/organ_jg/newly_jg';
import redact_jg from '@/views/organ_jg/redact_jg';
import newly_yh from '@/views/users_yh/newly_yh';
import redact_yh from '@/views/users_yh/redact_yh';
import app_list from '@/views/app_lists/app_list';
import banner_app from '@/views/app_lists/banner_app';
import auto_install from '@/views/app_lists/auto_install';
import appinstall_detail from '@/views/app_lists/appinstall_detail';
import publish_listidex from '@/views/publish_list/publish_listidex';

import add_publish from '@/views/publish_list/add_publish';
import edit_publish from '@/views/publish_list/edit_publish';
import app_evaluation from '@/views/publish_list/app_evaluation';
import app_evaluate_mang from '@/views/publish_list/app_evaluate_mang';
import publish_exam from '@/views/publish_list/publish_exam';
import app_rank from '@/views/data_center/app_rank';
import data_statistics from '@/views/data_center/data_statistics';
import search_detail from '@/views/data_center/search_detail';
import consulation_listindex from '@/views/consulation_mgement/consulation_listindex';
import electricity_strategy from '@/views/consulation_mgement/electricity_strategy';
import add_consulation from '@/views/consulation_mgement/add_consulation';
import edit_consulation from '@/views/consulation_mgement/edit_consulation';
import root_power from '@/views/equipment_list/root_power';
import news_state from '@/views/news_state';

// 菜单路由
import department_list from '@/views/partner_manage/department_list';
import dot_manage from '@/views/partner_manage/dot_manage';
import partner_list from '@/views/partner_manage/partner_list';
import power_tree from '@/views/users_yh/power_tree';
import role_list from '@/views/users_yh/role_list';
import batch_sb from '@/views/equipment_manage/batch_sb';
import batch_del from '@/views/equipment_manage/batch_del';
import unbound from '@/views/equipment_manage/unbound';
import jg_change from '@/views/equipment_manage/jg_change';
import houd from '@/views/equipment_manage/houd';
import shebei from '@/views/equipment_manage/shebei';
import shebei_board from '@/views/equipment_manage/shebei_board';
import register from '@/views/equipment_manage/register';
import facility from '@/views/equipment_manage/facility';
import alarmWarn from '@/views/equipment_manage/alarmWarn';
import alarm_analysis_list from '@/views/equipment_manage/alarm_analysis_list';
import kwh_details from '@/views/equipment_manage/kwh_details';
import belt_line_control from '@/views/equipment_manage/belt_line_control';
import shebei_map from '@/views/equipment_manage/shebei_map';
import shebei_map2 from '@/views/equipment_manage/shebei_map2';
import sb_trail from '@/views/equipment_manage/sb_trail';
import Analyze from '@/views/communicate/Analyze';
import Call_duration from '@/views/communicate/Call_duration';
import Network_property from '@/views/communicate/Network_property';
import Call_inquire from '@/views/communicate/Call_inquire';
import Call_analyze from '@/views/communicate/Call_analyze';
import Call_rate from '@/views/communicate/Call_rate';
import peak_electricity_config from '@/views/system_management/peak_electricity_config';
import System_params from '@/views/system_management/System_params';
import System_journal from '@/views/system_management/System_journal';
import redis_search from '@/views/system_management/redis_search';
import Auroralist from '@/views/system_management/Auroralist';
import jgSendNotice from '@/views/system_management/jgSendNotice';
import jgSendDetail from '@/views/system_management/jgSendDetail';
import bnkManageMent from '@/views/system_management/bnkManageMent';
import monitorConfig from '@/views/system_management/monitorConfig';
import adminLog from '@/views/logs/adminLog';
import shebeiLog from '@/views/logs/shebeiLog';

import mmstemplate from '@/views/cloud-services/mmstemplate';
import versions from '@/views/cloud-services/versions';
import customTemplate from '@/views/cloud-services/customTemplate';
import publish from '@/views/cloud-services/publish';
import cloudNote from '@/views/cloud-services/cloudNote';
import official from '@/views/cloud-services/official';
import newly_official from '@/views/cloud-services/newly_official';
import edit_official from '@/views/cloud-services/edit_official';
import analyzeChart from '@/views/communicate/analyzeChart';
import updateSys from '@/views/communicate/updateSys';
import appStrategy from '@/views/communicate/appStrategy';
import appStrategyDetail from '@/views/communicate/appStrategyDetail';
import updateSysDetail from '@/views/communicate/updateSysDetail';
import whiteList from '@/views/whiteList';
import dataBase from '@/views/dataBase/dataBase';
import dataBaseDetail from '@/views/dataBase/dataBaseDetail';
import questionFeedback from '@/views/questionFeedback/questionFeedback';
import questionFeedbackDetail from '@/views/questionFeedback/questionFeedbackDetail';
import workDataScreening from '@/views/work-management/data-screening';
import workWxData from '@/views/work-management/wx-data';
import workCallLog from '@/views/work-management/call-log';
import wxDataLog from '@/views/work-management/wx-data-log';
import fieldManage from '@/views/work-management/fieldManage'

// 视频播放
import videoData from '@/views/videoManges/data'
// import videoTums from '@/views/videoManges/video3'
import videoTums from '@/views/videoManges/visual_manage'
import videoTums2 from '@/views/videoManges/video2'
import dataStatistics from '@/views/videoManges/dataStatistics'
import customer from '@/views/videoManges/customer'
import videoConfig from '@/views/videoManges/config'
import custom_config from '@/views/videoManges/custom_config'

import videoNetworking from '@/views/videoManges/networking'
import deviceVisualManage from '@/views/videoManges/device_visual_manage'
import device_opera_analy from '@/views/device_opera_analy'

import operationCent from '@/views/operationCent/index'
import homePage from '@/components/homePage.vue'
import network_contrast from '@/views/videoManges/network_contrast'
import intellect_judgment_result from '@/views/videoManges/intellect_judgment_result'
import intellect_judgment_config from '@/views/videoManges/intellect_judgment_config'
import selfTestData from '@/views/videoManges/selfTestData'
import interactiveConfig from '@/views/equipment_manage/interactiveConfig'
import electricity_analysis from '@/views/visualization/electricity_analysis1'
import electricity_analysis_data from '@/views/visualization/electricity_analysis_data1'
import qoq_analysis from '@/views/ele_report_forms/qoq_analysis'
import whole_point_analysis from '@/views/ele_report_forms/whole_point_analysis'
import yoy_analysis from '@/views/ele_report_forms/yoy_analysis'
import energy_report from '@/views/ele_report_forms/energy_report'

import country_device from '@/views/wvp/country_device'
import split_monitor from '@/views/wvp/split_monitor'
import system_info from '@/views/wvp/system_info'
Vue.use(Router);

var list = [
    { path: '/', redirect: '/pages/login', meta: { title: '燈芯-智能化设备安全联动' } },
    { path: window.routeDir, redirect: '/pages/login' },
    { path: '/pages/login', component: login, meta: { title: '燈芯-智能化设备安全联动' } },
    { path: '/pages/consultation_news', component: consultation_news, meta: { title: '燈芯-智能化设备安全联动' } },
    {
        path: '/pages',
        component: modules,
        children: [
            { name: 'homePage', path: '/pages/homePage', component: homePage, meta: { requireAuth: true, title: '首页', type: 1 } },
            { name: 'whole_point_analysis', path: '/pages/whole_point_analysis', component: whole_point_analysis, meta: { requireAuth: true, title: '整点抄表分析', type: 1 } },
            { name: 'yoy_analysis', path: '/pages/yoy_analysis', component: yoy_analysis, meta: { requireAuth: true, title: '同比分析', type: 1 } },
            { name: 'qoq_analysis', path: '/pages/qoq_analysis', component: qoq_analysis, meta: { requireAuth: true, title: '环比分析', type: 1 } },
            { name: 'energy_report', path: '/pages/energy_report', component: energy_report, meta: { requireAuth: true, title: '能耗报告', type: 1 } },
            { name: 'country_device', path: '/pages/wvp/country_device', component: country_device, meta: { requireAuth: true, title: '国标设备', type: 1 } },
            { name: 'split_monitor', path: '/pages/wvp/split_monitor', component: split_monitor, meta: { requireAuth: true, title: '分屏监控', type: 1 } },
            { name: 'system_info', path: '/pages/wvp/system_info', component: system_info, meta: { requireAuth: true, title: '系统信息', type: 1 } },

            { name: 'electricity_analysis', path: '/pages/electricity_analysis', component: electricity_analysis, meta: { requireAuth: true, title: '用电分析', type: 1 } },
            { name: 'electricity_analysis_data', path: '/pages/electricity_analysis_data', component: electricity_analysis_data, meta: { requireAuth: true, title: '用电大数据', type: 1 } },
            { name: 'interactiveConfig', path: '/pages/interactiveConfig', component: interactiveConfig, meta: { requireAuth: true, title: '交互配置', type: 1 } },
            { name: 'selfTestData', path: '/pages/videoManges/selfTestData', component: selfTestData, meta: { requireAuth: true, title: '自检数据', type: 1 } },
            { name: 'network_contrast', path: '/pages/videoManges/network_contrast', component: network_contrast, meta: { requireAuth: true, title: '网点对比', type: 1 } },
            { name: 'intellect_judgment_result', path: '/pages/videoManges/intellect_judgment_result', component: intellect_judgment_result, meta: { requireAuth: true, title: '智能研判结果', type: 1 } },
            { name: 'intellect_judgment_config', path: '/pages/videoManges/intellect_judgment_config', component: intellect_judgment_config, meta: { requireAuth: true, title: '智能研判配置', type: 1 } },
            { name: 'operationCent', path: '/pages/operationCent', component: operationCent, meta: { requireAuth: true, title: '运营中心', type: 1,setimFlag:true } },
            { name: 'home', path: '/pages/home', component: home, meta: { requireAuth: true, title: '数据中心', type: 1 } },
            { name: 'device_opera_analy', path: '/pages/device_opera_analy', component: device_opera_analy, meta: { requireAuth: true, title: '设备操作分析', type: 1 } },
            { name: 'homeKanban', path: '/pages/home/homeKanban', component: homeKanban, meta: { requireAuth: true, title: '设备看板', type: 1 } },
            { name: 'custom_config', path: '/pages/videoManges/custom_config', component: custom_config, meta: { requireAuth: true, title: '自定义分析配置', type: 1 } },
            { name: 'device_visual_manage', path: '/pages/videoManges/device_visual_manage', component: deviceVisualManage, meta: { requireAuth: true, title: '设备视觉管理', type: 1 } },
            { name: 'homeSite', path: '/pages/home/site/:siteCode/:siteName', component: homeSite, meta: { requireAuth: true, title: '网点总览', type: 1 } },
            { name: 'homeAnalyze', path: '/pages/home/analyze', component: homeAnalyze, meta: { requireAuth: true, title: '行为分析看板', type: 1 } },
            { name: 'home2', path: '/pages/home2', component: home2, meta: { requireAuth: true, title: '通话统计', type: 1 } },
            { path: '/pages/newly_xh', component: newly, meta: { requireAuth: true, title: '新增型号', type: 2 } },
            { name: 'facility', path: '/pages/facility', component: facility, meta: { requireAuth: true, title: '设备登记', type: 1 } },
            { name: 'alarmWarn', path: '/pages/alarmWarn', component: alarmWarn, meta: { requireAuth: true, title: '报警提醒配置', type: 1 } },
            { name: 'alarm_analysis_list', path: '/pages/alarm_analysis_list', component: alarm_analysis_list, meta: { requireAuth: true, title: '报警分析列表', type: 1 } },
            { name: 'belt_line_control', path: '/pages/belt_line_control', component: belt_line_control, meta: { requireAuth: true, title: '皮带线管控', type: 1 }},
            { name: 'kwh_details', path: '/pages/kwh_details/:row?/:kwh_details?', component: kwh_details, meta: { requireAuth: true, title: '用电详情', type: 1 } },
            { name: 'orz_jg', path: '/pages/orz_jg', component: orz_jg, meta: { requireAuth: true, title: '机构管理', type: 1 } },
            { name: 'jg_change', path: '/pages/equipment_manage/jg_change', component: jg_change, meta: { requireAuth: true, title: '更改机构', type: 2 } },
            { path: '/pages/equipment_manage/unbound', component: unbound, meta: { requireAuth: true, title: '解除绑定', type: 2 } },
            { name: 'couple', path: '/pages/couple', component: couple, meta: { requireAuth: true, title: '反馈处理', type: 1 } },
            { path: '/pages/redact_xh', component: redact_xh, meta: { requireAuth: true, title: '编辑型号', type: 2 } },
            { path: '/pages/batch_sb', component: batch_sb, meta: { requireAuth: true, title: '批量登记', type: 2 } },
            { path: '/pages/batch_del', component: batch_del, meta: { requireAuth: true, title: '批量删除', type: 2 } },
            { path: '/pages/newly_jg', component: newly_jg, meta: { requireAuth: true, title: '新增伙伴', type: 2 } },
            { path: '/pages/redact_jg', name: 'redact_jg', component: redact_jg, meta: { requireAuth: true, title: '编辑伙伴', type: 2 } },
            { path: '/pages/newly_yh', component: newly_yh, meta: { requireAuth: true, title: '新增用户', type: 2 } },
            { path: '/pages/redact_yh', name: 'redact_yh', component: redact_yh, meta: { requireAuth: true, title: '编辑用户', type: 2 } },
            { name: 'app_list', path: '/pages/app_list', component: app_list, meta: { requireAuth: true, title: '应用市场', type: 1 } },
            { name: 'videoNetworking', path: '/pages/videoManges/videoNetworking/:institutionId?', component: videoNetworking, meta: { requireAuth: true, title: '区域组网', type: 1 } },
            { name: 'videoConfig', path: '/pages/videoManges/videoConfig', component: videoConfig, meta: { requireAuth: true, title: '配置管理', type: 1 } },
            { name: 'customer', path: '/pages/videoManges/customer', component: customer, meta: { requireAuth: true, title: '任务管理', type: 1 } },
            { name: 'dataStatistics', path: '/pages/videoManges/dataStatistics', component: dataStatistics, meta: { requireAuth: true, title: '数据统计', type: 1 } },
            { name: 'videoData', path: '/pages/videoManges/data', component: videoData, meta: { requireAuth: true, title: '数据管理', type: 1 } },
            { name: 'videoTums', path: '/pages/videoManges/video', component: videoTums, meta: { requireAuth: true, title: '视觉管理', type: 1 } },
            { name: 'videoTums2', path: '/pages/videoManges/video2', component: videoTums2, meta: { requireAuth: true, title: '视觉管理2', type: 1 } },
            { name: 'banner_app', path: '/pages/banner_app', component: banner_app, meta: { requireAuth: true, title: '轮播图管理', type: 1 } },
            // 自动安装策略
            { name: 'auto_install', path: '/pages/app_lists/auto_install', component: auto_install, meta: { requireAuth: true, title: '安装模板', type: 1 } },
            // 应用安装数据统计
            { name: 'data_statistics', path: '/pages/data_center/data_statistics', component: data_statistics, meta: { requireAuth: true, title: '安装统计', type: 1 } },
            // 应用安装明细
            { path: '/pages/app_list/appinstall_detail', component: appinstall_detail, meta: { requireAuth: true, title: '自动安装明细', type: 2 } },
            // 发布列表
            { name: 'publish_listidex', path: '/pages/publish_list/publish_listidex', component: publish_listidex, meta: { requireAuth: true, title: '应用发布', type: 1 } },
            // 新增发布
            { path: '/pages/publish_list/add_publish', component: add_publish, meta: { requireAuth: true, title: '新增发布', type: 2 } },
            // 编辑发布
            { path: '/pages/publish_list/edit_publish', component: edit_publish, meta: { requireAuth: true, title: '编辑发布', type: 2 } },
            // 应用评价管理
            { name: 'app_evaluation', path: '/pages/publish_list/app_evaluation', component: app_evaluation, meta: { requireAuth: true, title: '应用评价管理', type: 1 } },
            // 应用评价管理(去管理操作)
            { path: '/pages/publish_list/app_evaluate_mang', component: app_evaluate_mang, meta: { requireAuth: true, title: '去管理', type: 2 } },
            // 发布审核
            { name: 'publish_exam', path: '/pages/publish_list/publish_exam', component: publish_exam, meta: { requireAuth: true, title: '发布审核', type: 1 } },
            // 资讯管理
            { name: 'consulation_listindex', path: '/pages/consulation_mgement/consulation_listindex', component: consulation_listindex, meta: { requireAuth: true, title: '资讯管理', type: 1 } },
            { name: 'electricity_strategy', path: '/pages/consulation_mgement/electricity_strategy', component: electricity_strategy, meta: { requireAuth: true, title: '用电策略', type: 1 } },
            
            { path: '/pages/news_state', component: news_state, meta: { requireAuth: true, title: '消息信息', type: 2 } },
            // 新增
            { path: '/pages/consulation_mgement/add_consulation', component: add_consulation, meta: { requireAuth: true, title: '新增资讯', type: 2 } },
            // 编辑
            { path: '/pages/consulation_mgement/edit_consulation', component: edit_consulation, meta: { requireAuth: true, title: '编辑资讯', type: 2 } },
            // 应用排行
            { name: 'app_rank', path: '/pages/data_center/app_rank', component: app_rank, meta: { requireAuth: true, title: '应用排行', type: 1 } },
            // 详情报表
            { path: '/pages/search_detail', component: search_detail, meta: { requireAuth: true, title: '详情报表', type: 2 } },
            { name: 'updateSys', path: '/pages/communicate/updateSys', component: updateSys, meta: { requireAuth: true, title: '系统升级', type: 1 } },
            { name: 'updateSysDetail', path: '/pages/communicate/updateSysDetail/:id', component: updateSysDetail, meta: { requireAuth: true, title: '系统升级详情', type: 2 } },
            { name: 'appStrategy', path: '/pages/communicate/appStrategy', component: appStrategy, meta: { requireAuth: true, title: '策略管理', type: 1 } },
            { name: 'appStrategyDetail', path: '/pages/communicate/appStrategyDetail/:id', component: appStrategyDetail, meta: { requireAuth: true, title: '策略管理详情', type: 2 } },
            { name: 'root_power', path: '/pages/equipment_list/root_power', component: root_power, meta: { requireAuth: true, title: 'root权限列表', type: 1 } },
            { name: 'partner_list', path: '/pages/partner_list', component: partner_list, meta: { requireAuth: true, title: '伙伴列表', type: 1 } }, // 网点管理
            { name: 'dot_manage', path: '/pages/dot_manage', component: dot_manage, meta: { requireAuth: true, title: '组织管理', type: 1 } }, // 部门管理
            { name: 'department_list', path: '/pages/department_list', component: department_list, meta: { requireAuth: true, title: '部门管理', type: 1 } }, // 权限管理
            { name: 'power_tree', path: '/pages/power_tree', component: power_tree, meta: { requireAuth: true, title: '权限管理', type: 1 } }, // 角色管理
            { name: 'role_list', path: '/pages/role_list', component: role_list, meta: { requireAuth: true, title: '角色管理', type: 1 } },
            // 用户列表
            { name: 'users', path: '/pages/users', component: users, meta: { requireAuth: true, title: '用户列表', type: 1 } }, // 设备看板
            { name: 'shebei', path: '/pages/shebei/:institutionId?', component: shebei, meta: { requireAuth: true, title: '硬件库', type: 1 } }, // 设备看板
            { name: 'shebei_board', path: '/pages/shebei_board', component: shebei_board, meta: { requireAuth: true, title: '设备看板', type: 1 } }, // 型号管理
            { name: 'register', path: '/pages/register', component: register, meta: { requireAuth: true, title: '型号管理', type: 1 } },
            { path: '/pages/houd', component: houd, meta: { requireAuth: true, title: '批量分发', type: 2 } }, // 设备地图
            { name: 'shebei_map', path: '/pages/shebei_map', component: shebei_map, meta: { requireAuth: true, title: '设备地图', type: 1 } }, // 设备地图
            { name: 'shebei_map2', path: '/pages/shebei_map2', component: shebei_map2, meta: { requireAuth: true, title: '设备地图', type: 1 } }, // 设备轨迹
            { name: 'sb_trail', path: '/pages/sb_trail/:sn?', component: sb_trail, meta: { requireAuth: true, title: '设备轨迹', type: 1 } }, // 通话看板
            { name: 'analyze', path: '/pages/communicate/analyze', component: Analyze, meta: { requireAuth: true, title: '通话统计', type: 1 } },
            { name: 'Call_duration', path: '/pages/communicate/Call_duration', component: Call_duration, meta: { requireAuth: true, title: '响铃与时长', type: 1 } },
            { name: 'analyzeChart', path: '/pages/communicate/analyzeChart', component: analyzeChart, meta: { requireAuth: true, title: '数据图表', type: 1 } },
            { name: 'network_property', path: '/pages/communicate/Network_property/:phone?/:shebei_sn?', component: Network_property, meta: { requireAuth: true, title: '数据管理', type: 1 } },
            {
                name: 'Call_inquire',
                path: '/pages/communicate/Call_inquire/:page?/:pageSize?/:localPhone?/:clientPhone?/:orderNum?/:date?/:sn?/:website?/:jobNumber?/:workerPhone?/:callStatus?/:callType?/:moreIsShow?',
                component: Call_inquire,
                meta: { requireAuth: true, title: '通话查询', type: 1 },
                props: true
            },
            { name: 'Call_analyze', path: '/pages/communicate/Call_analyze', component: Call_analyze, meta: { requireAuth: true, title: '榜单统计', type: 1 } },
            { name: 'Call_rate', path: '/pages/communicate/Call_rate', component: Call_rate, meta: { requireAuth: true, title: '接通统计', type: 1 } },
            { name: 'System_params', path: '/pages/system_management/System_params', component: System_params, meta: { requireAuth: true, title: '参数管理', type: 1 } },
            { name: 'peak_electricity_config', path: '/pages/system_management/peak_electricity_config', component: peak_electricity_config, meta: { requireAuth: true, title: '峰谷电配置', type: 1 } },
            //redis查询
            { name: 'redis_search', path: '/pages/redis_search', component: redis_search, meta: { requireAuth: true, title: 'redis查询', type: 1 } },
            //极光绑定查询
            { name: 'Auroralist', path: '/pages/Auroralist', component: Auroralist, meta: { requireAuth: true, title: '推送绑定查询', type: 1 } },
            //极光推确认通知
            { name: 'jgSendNotice', path: '/pages/jgSendNotice', component: jgSendNotice, meta: { requireAuth: true, title: '极光推确认通知', type: 1 } },
            //极光推送详情
            { name: 'jgSendDetail', path: '/pages/jgSendDetail', component: jgSendDetail, meta: { requireAuth: true, title: '极光推送详情', type: 1 } },
            //备份管理
            { name: 'bnkManageMent', path: '/pages/bnkManageMent', component: bnkManageMent, meta: { requireAuth: true, title: '备份管理', type: 1 } },
            //系统日志
            { name: 'System_journal', path: '/pages/system_management/System_journal', component: System_journal, meta: { requireAuth: true, title: '系统日志', type: 1 } },
            //监控平台配置
            { name: 'monitorConfig', path: '/pages/system_management/monitorConfig', component: monitorConfig, meta: { requireAuth: true, title: '监控平台配置', type: 1 } },
            //后台日志
            { name: 'adminLog', path: '/pages/logs/adminLog', component: adminLog, meta: { requireAuth: true, title: '后台日志', type: 1 } },
            //设备日志
            { name: 'shebeiLog', path: '/pages/logs/shebeiLog', component: shebeiLog, meta: { requireAuth: true, title: '设备日志', type: 1 } },
            //系统模板
            { name: 'mmstemplate', path: '/pages/cloud-services/mmstemplate', component: mmstemplate, meta: { requireAuth: true, title: '系统模板', type: 1 } },
            //版本管理
            { name: 'versions', path: '/pages/cloud-services/versions', component: versions, meta: { requireAuth: true, title: '版本管理', type: 1 } },
            //自定义模板
            { name: 'customTemplate', path: '/pages/cloud-services/template', component: customTemplate, meta: { requireAuth: true, title: '自定义模板', type: 1 } },
            //版本发布
            { path: '/pages/cloud-services/publish', component: publish, meta: { requireAuth: true, title: '版本发布' } },
            //短信查询
            { name: 'cloudNote', path: '/pages/cloud-services/cloudNote/:completeRemotePhone?/:localPhone?', component: cloudNote, meta: { requireAuth: true, title: '短信查询', type: 1 } },
            //圆通文案
            { name: 'official', path: '/pages/cloud-services/official', component: official, meta: { requireAuth: true, title: '圆通文案', type: 1 } },
            //创建文案
            { path: '/pages/cloud-services/newly_official', component: newly_official, meta: { requireAuth: true, title: '圆通文案', type: 1 } },
            //编辑文案
            { path: '/pages/cloud-services/edit_official', name: 'edit_official', component: edit_official },
            { name: 'whiteList', path: '/pages/whiteList', component: whiteList, meta: { requireAuth: true, title: '应用白名单', type: 1 } },
            { name: 'dataBase', path: '/pages/dataBase', component: dataBase, meta: { requireAuth: true, title: '资料库', type: 1 } },
            { name: 'dataBaseDetail', path: '/pages/dataBase/:pageType/:id?', component: dataBaseDetail, meta: { requireAuth: true, title: '资料详情' } },
            { name: 'questionFeedback', path: '/pages/questionFeedback', component: questionFeedback, meta: { requireAuth: true, title: '问卷管理', type: 1 } },
            { name: 'questionFeedbackDetail', path: '/pages/questionFeedback/:pageType/:id?', component: questionFeedbackDetail, meta: { requireAuth: true, title: '问卷管理详情' } },
            { name: 'workDataScreening', path: '/pages/work/data-screening', component: workDataScreening, meta: { requireAuth: true, title: '工作管理', type: 1 } },
            { name: 'workCallLog', path: '/pages/work/call-log', component: workCallLog, meta: { requireAuth: true, title: '通话记录', type: 1 } },
            { name: 'workWxData', path: '/pages/work/wx-data', component: workWxData, meta: { requireAuth: true, title: '微信数据', type: 1 } },
            { name: 'wxDataLog', path: '/pages/work/wx-data-log', component: wxDataLog, meta: { requireAuth: true, title: '通话记录', type: 1 } },
            { name: 'fieldManage', path: '/pages/work/fieldManage', component: fieldManage, meta: { requireAuth: true, title: '外勤统管', type: 1 } },
        ]
    }
];
const route = new Router({
    mode: 'history', //去掉url中的#
    // routes: list,
    routes: list.map(function(v) {
        if (v.path === '/' || v.path === window.routeDir) {
            // v.redirect ? (v.redirect = window.routeDir + v.redirect) : '';
        } else {
            v.path = window.routeDir + v.path;
        }
        v.children
            ? (v.children = v.children.map(v2 => {
                  v2.path = window.routeDir + v2.path;
                  return v2;
              }))
            : '';
        return v;
    }),
    base: ''
    // base: '/dx/'
});
export default route;
